
Ruby - Bug #10936

Error in Rubydoc for DateTime#rfc3339

03/04/2015 11:07 PM - andirayo ((Andreas) Rayo Kniep)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.1.5 Backport: 2.2: DONE, 2.3: DONE, 2.4: DONE

Description

There is an error in the Ruby-documentation of instance method #rfc3339 of class DateTime (eg. Ruby-version 2.1.5)

rfc3339() is actually equivalent to strftime(‘%FT%T%Z’)...

... and not, as it says in the Ruby-documentation, to strftime(‘%FT%T’).

See

http://ruby-doc.org//stdlib-2.1.5/libdoc/date/rdoc/DateTime.html#method-i-rfc3339

Compare

irb(main):001:0> require 'date'

=> true

irb(main):002:0> DateTime.new( 2015, 03, 04, 15, 00, 00, 'PST' ).rfc3339 == DateTime.new( 2015, 03

, 04, 15, 00, 00, 'PST' ).strftime('%FT%T%Z')

=> true

irb(main):003:0> DateTime.new( 2015, 03, 04, 15, 00, 00, 'PST' ).rfc3339 == DateTime.new( 2015, 03

, 04, 15, 00, 00, 'PST' ).strftime('%FT%T')

=> false

Associated revisions

Revision d8bf1785316c55e3befac9db0981180bd1432b49 - 03/19/2017 09:51 AM - stomar (Marcus Stollsteimer)

date_core.c: fix error in DateTime docs

ext/date/date_core.c: [DOC] fix format string for DateTime#rfc3339.

Reported by Andreas Rayo Kniep.  [ruby-core:68418] [Bug #10936]

ext/date/date_core.c: [DOC] ditto for DateTime#iso8601 and

DateTime#xmlschema; other small improvements.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@58020 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision d8bf1785 - 03/19/2017 09:51 AM - stomar (Marcus Stollsteimer)

date_core.c: fix error in DateTime docs

ext/date/date_core.c: [DOC] fix format string for DateTime#rfc3339.

Reported by Andreas Rayo Kniep.  [ruby-core:68418] [Bug #10936]

ext/date/date_core.c: [DOC] ditto for DateTime#iso8601 and

DateTime#xmlschema; other small improvements.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@58020 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 03ab27a83e1403bf0161965446f7548cd107ff1b - 03/25/2017 06:55 PM - U.Nakamura 

merge revision(s) 58020: [Backport #10936]

    date_core.c: fix error in DateTime docs

    * ext/date/date_core.c: [DOC] fix format string for DateTime#rfc3339.

      Reported by Andreas Rayo Kniep.  [ruby-core:68418] [Bug #10936]

    * ext/date/date_core.c: [DOC] ditto for DateTime#iso8601 and
      DateTime#xmlschema; other small improvements.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@58128 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 03ab27a8 - 03/25/2017 06:55 PM - U.Nakamura 

merge revision(s) 58020: [Backport #10936]

    date_core.c: fix error in DateTime docs

    * ext/date/date_core.c: [DOC] fix format string for DateTime#rfc3339.

      Reported by Andreas Rayo Kniep.  [ruby-core:68418] [Bug #10936]

    * ext/date/date_core.c: [DOC] ditto for DateTime#iso8601 and

      DateTime#xmlschema; other small improvements.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@58128 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 4a494a0b39de47767f94ca3e834be2c99e490e45 - 12/20/2017 02:57 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 58020: [Backport #10936]

    date_core.c: fix error in DateTime docs

    * ext/date/date_core.c: [DOC] fix format string for DateTime#rfc3339.

      Reported by Andreas Rayo Kniep.  [ruby-core:68418] [Bug #10936]

    * ext/date/date_core.c: [DOC] ditto for DateTime#iso8601 and

      DateTime#xmlschema; other small improvements.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@61365 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 4a494a0b - 12/20/2017 02:57 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 58020: [Backport #10936]

    date_core.c: fix error in DateTime docs

    * ext/date/date_core.c: [DOC] fix format string for DateTime#rfc3339.

      Reported by Andreas Rayo Kniep.  [ruby-core:68418] [Bug #10936]

    * ext/date/date_core.c: [DOC] ditto for DateTime#iso8601 and

      DateTime#xmlschema; other small improvements.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@61365 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 4238b67dd9a0b903f2028ddeb6820218e9255043 - 01/31/2018 11:10 AM - U.Nakamura 

merge revision(s) 58020: [Backport #10936]

    date_core.c: fix error in DateTime docs

    * ext/date/date_core.c: [DOC] fix format string for DateTime#rfc3339.

      Reported by Andreas Rayo Kniep.  [ruby-core:68418] [Bug #10936]

    * ext/date/date_core.c: [DOC] ditto for DateTime#iso8601 and

      DateTime#xmlschema; other small improvements.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@62128 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 4238b67d - 01/31/2018 11:10 AM - U.Nakamura 

merge revision(s) 58020: [Backport #10936]

    date_core.c: fix error in DateTime docs

    * ext/date/date_core.c: [DOC] fix format string for DateTime#rfc3339.

      Reported by Andreas Rayo Kniep.  [ruby-core:68418] [Bug #10936]

    * ext/date/date_core.c: [DOC] ditto for DateTime#iso8601 and

      DateTime#xmlschema; other small improvements.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@62128 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History
#1 - 03/19/2017 09:51 AM - stomar (Marcus Stollsteimer)

- Status changed from Open to Closed

Applied in changeset r58020.

date_core.c: fix error in DateTime docs

ext/date/date_core.c: [DOC] fix format string for DateTime#rfc3339.

Reported by Andreas Rayo Kniep.  [ruby-core:68418] [Bug #10936]

ext/date/date_core.c: [DOC] ditto for DateTime#iso8601 and

DateTime#xmlschema; other small improvements.

#2 - 03/19/2017 09:56 AM - stomar (Marcus Stollsteimer)

Fixed. The actually used format is "%FT%T%:z".

#3 - 03/23/2017 03:37 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN to 2.2: REQUIRED, 2.3: REQUIRED, 2.4: REQUIRED

#4 - 03/25/2017 06:55 PM - usa (Usaku NAKAMURA)

- Backport changed from 2.2: REQUIRED, 2.3: REQUIRED, 2.4: REQUIRED to 2.2: DONE, 2.3: REQUIRED, 2.4: REQUIRED

ruby_2_2 r58128 merged revision(s) 58020.

#5 - 12/20/2017 02:57 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.2: DONE, 2.3: REQUIRED, 2.4: REQUIRED to 2.2: DONE, 2.3: REQUIRED, 2.4: DONE

ruby_2_4 r61365 merged revision(s) 58020.

#6 - 01/31/2018 11:10 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.2: DONE, 2.3: REQUIRED, 2.4: DONE to 2.2: DONE, 2.3: DONE, 2.4: DONE

ruby_2_3 r62128 merged revision(s) 58020.
